import pandas as pd

import download

files = [
    'download/shumee-mall-cz-vidaxl.csv',
    'download/shumee-mall-sk-vidaxl.csv',
    'download/shumee-mall-sl-vidaxl.csv',
    'download/shumee-mall-hu-vidaxl.csv',
]

def compare():
    for x in files:
        output_file = x.replace('download', 'csv_files')
        vida_file = x.replace('shumee', 'vida')
        vida_df = pd.read_csv(vida_file)
        lovelymee_df = pd.read_csv(x)
        print(len(lovelymee_df))
        if x == 'download/shumee-mall-cz-vidaxl.csv':
            cz_df = pd.read_csv('https://lovelymee.com/shumee/mpi/public/shumee-mall-cz-vidaodm.csv')
            frames = [lovelymee_df, cz_df]
            lovelymee_df = pd.concat(frames)
        #SKU, sku
        print(len(lovelymee_df))
        df_all = vida_df.merge(lovelymee_df, how='left', left_on="SKU", right_on = "sku",indicator=True)
        df_all = df_all[df_all['_merge'] == 'left_only']
        df_all = df_all.loc[(df_all['Stock'] > 3)]
        df_all = df_all[['SKU']]
        df_all.to_csv(output_file, sep = ';', index = False)
        
if __name__ == "__main__":
    download.execute()
    compare()
    
